> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Bank Account

> Updates a bank account belonging to the specified worker in Zeal.



## OpenAPI

````yaml openapi/zeal-api.json patch /bankaccount
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /bankaccount:
    patch:
      summary: Update Bank Account
      description: Updates an existing bank account for a specified worker.
      operationId: update-bank-account
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - bankAccountID
              properties:
                companyID:
                  type: string
                  description: Company ID of employer
                bankAccountID:
                  type: string
                  description: Bank Account ID
                account_number:
                  type: string
                  description: Bank Account number
                routing_number:
                  type: string
                  description: Bank Routing number
                institution_name:
                  type: string
                  description: Name of banking institution
                type:
                  type: string
                  description: Account type. Can either be `checking` or `savings`
                  enum:
                    - checking
                    - savings
                nickname:
                  type: string
                  description: Nickname of the bank account
            examples:
              Request Example:
                value:
                  bankAccountID: 61d3f2c3a8593140cda7c5cb
                  companyID: fc235f012tay46aa8a082f357715bcfa
                  account_number: '123124215'
                  type: checking
                  routing_number: '061092387'
                  institution_name: PNS
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      bankAccountID: 61d3f2c3a8593cc3948decda7c5cb
                      companyID: fc235f012tay46334e394cceir48bcfa
                      id: '1234567890'
                      institution_name: PNC
                      account_number: '123435234'
                      routing_number: '061092387'
                      type: checking
                      nickname: Main spending account
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      bankAccountID:
                        type: string
                        example: 61d3f2c3a8593cc3948decda7c5cb
                      companyID:
                        type: string
                        example: fc235f012tay46334e394cceir48bcfa
                      id:
                        type: string
                        example: '1234567890'
                      institution_name:
                        type: string
                        example: PNC
                      account_number:
                        type: string
                        example: '123435234'
                      routing_number:
                        type: string
                        example: '061092387'
                      type:
                        type: string
                        example: checking
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No user with this company ID exists
                        code: 4
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No user with this company ID exists
                        code:
                          type: integer
                          example: 4
                          default: 0
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````